Remove TOTP
DELETE
/api/v1/mfa/totp
const url = 'https://osctrl.net/api/v1/mfa/totp';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://osctrl.net/api/v1/mfa/totp \ --header 'Content-Type: application/json' \ --data '{ "password": "example" }'Disables the authenticator-app factor after confirming the account password.
Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
password
string
Examplegenerated
{ "password": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}